Role Based Access Control - Search Environment Role Assignments

Search environment role assignments.
Searches role assignments for the specified environment, with optional transitive lookup up to parent scopes or down into nested scopes. Preview.

POST https://api.powerplatform.com/authorization/environments/{environmentId}/listRoleAssignments?api-version=2024-10-01
POST https://api.powerplatform.com/authorization/environments/{environmentId}/listRoleAssignments?continuationToken={continuationToken}&api-version=2024-10-01

URI Parameters

Name In Required Type Description
environmentId
path True

string

The unique identifier of the environment.

api-version
query True

string

The API version.

continuationToken
query

string

The continuation token from a previous response, used to retrieve the next page of results.

Request Body

Name Required Type Description
scope True

string

The scope to filter role assignments by

expandEnvironmentClusters

boolean

Whether to include role assignments inherited from the environment cluster an environment belongs to

expandEnvironmentGroups

boolean

Whether to include role assignments inherited from the environment groups an environment belongs to

expandSecurityGroups

boolean

Whether to include role assignments inherited from the security groups the principal belongs to

includeNestedScopes

boolean

Whether to include role assignments from scopes nested under the provided scope

includeParentScopes

boolean

Whether to include role assignments from parent scopes up to the tenant

includeVirtualEntraRoleAssignments

boolean

Whether to include virtual role assignments granted through an Entra directory role

permission

string

The permission to filter by

principalObjectId

string

The ID of the principal to filter by

principalType

string

The type of the principal to filter by

Responses

Name Type Description
200 OK

SearchRoleAssignmentsResponse

A page of role assignments for the environment matching the search filters.

400 Bad Request

Bad Request - The body is invalid.

401 Unauthorized

Unauthorized - Invalid credentials or missing authentication.

404 Not Found

Not Found - The specified resource does not exist.

500 Internal Server Error

Internal Server Error - Unexpected server error.

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
SearchRoleAssignmentsRequest

Request to search role assignments using scope, principal, and permission filters.

SearchRoleAssignmentsResponse

A page of role assignments matching the search filters.

Value

SearchRoleAssignmentsRequest

Request to search role assignments using scope, principal, and permission filters.

Name Type Default value Description
expandEnvironmentClusters

boolean

False

Whether to include role assignments inherited from the environment cluster an environment belongs to

expandEnvironmentGroups

boolean

False

Whether to include role assignments inherited from the environment groups an environment belongs to

expandSecurityGroups

boolean

False

Whether to include role assignments inherited from the security groups the principal belongs to

includeNestedScopes

boolean

False

Whether to include role assignments from scopes nested under the provided scope

includeParentScopes

boolean

False

Whether to include role assignments from parent scopes up to the tenant

includeVirtualEntraRoleAssignments

boolean

False

Whether to include virtual role assignments granted through an Entra directory role

permission

string

The permission to filter by

principalObjectId

string

The ID of the principal to filter by

principalType

string

The type of the principal to filter by

scope

string

The scope to filter role assignments by

SearchRoleAssignmentsResponse

A page of role assignments matching the search filters.

Name Type Description
nextLink

string

The URL to retrieve the next page of results, or null if there are no more pages

value

Value[]

Value

Name Type Description
permissions

string[]

roleDefinitionId

string

Role definition ID

roleDefinitionName

string

Role definition name